Page MenuHomePhabricator

As a user, I want to be able to cancel data migration
Closed, ResolvedPublic

Description

For example, if it's taking to long.

  • Data migration progress view has a "cancel" button
  • When cancel is tapped, it shows the user a prompt to confirm we should
    • abort cancellation and delete all data
    • continue with data migration
  • if data migration finishes while cancel prompt is shown, the prompt is dismissed and app launches as usual

Event Timeline

@Deskana Please note copy changes for the other screens.

KLans_WMF set Security to None.Apr 20 2015, 9:37 PM
KLans_WMF moved this task from Needs Triage to In Development on the Wikipedia-iOS-App-Backlog board.

@Fjalapeno @Vibhabamba are we thinking we should abandon this?

BGerstle-WMF closed this task as Declined.May 1 2015, 4:14 PM
Fjalapeno changed the task status from Declined to Resolved.Jul 3 2015, 5:48 PM